Synnefo - Bug # 679

Status: Closed Priority: High

Author: Vangelis Koukis Category: obsolete_AAl
Created: 06/13/2011 Assignee: Giorgos Gousios
Updated: 06/29/2011 Due date:

Subject: To test token yia AAl dev aiCel av ival kdTw To login.okeanos.grnet.gr

Description

Aev glpat alyoupog av auTd eival rmpaypatiké mpoépAnua, onwg reptypdgetal oTo ticket, aAAd To avolyw yla va elval KaTayeypaupevo
KaL va EEpoupe OTL Xpetdletat dlepelvnan.

Yruepa elval kdtw To login.okeanos.grnet.gr, Adyw aAAaywv oTo d{KTuo Tou staging, kabwg rnpoxwpdpe Tipog deployment.

To mpdBAnua elvat 4Tt yia kdroto Adyo ot development eykaTaoTtdoelg Tou >Uvvedou YupiCouv cuvexwg 302, akdun KL dtav o
XPoTNg emuxelpel va xpnolyoroloet To test token.

Ondre:

a) avikd Ba €nperie va propel va xpnotuoriondel To test token xwplig va epmAgketal kaBoAou To login.okeanos.grnet.gr

B) av yta kdrolo Adyo autd dev eivat duvaTod, XpeldleTat va dlepeuvndel Kat va TekUNPLwBel, WoTe va elval KaTayeypapueVo Kat
YVWOTO yla To MEAAOV.

History

#1 - 06/13/2011 02:06 pm - Vangelis Koukis

Kdrtt dev €xw katahdBel akopun 3w. Twpa nailet.

‘Exava restart tov development server, aAAd autd dev MPENEeL Kavovikd va KAveL dlagopd.

‘lowg dAA\a&e kdtL oTnv Katdotaon Tou login.okeanos.grnet.gr?

Oa 1o YAa&w napandvw kat To culntdue anod Kovtd, dev eival olyoupo GTL UTIApXEL TO TIPORANUA TIOU ava@Epw Mapandvw.

#2 - 06/13/2011 05:12 pm - Giorgos Gousios

Baowkd, To mpdBAnua (av ewvat mpoéPAnua) eivat 6Tt av dev akouel o login.okeanos.grnet.gr To redirect ou ot€Avel To middleware otov browser agou

Tou oTelAel To cookie (xpnotuomnowwvtag to url http:/localhost:80007test) dev katalrjyel moubevd kat gpaivetal n 6An dtadtakacia va koAAdel. Agpou

€xeL dpeL o browser To cookie Ba mpenel va Aettoupynoet kavovikd (ue to URL http:/localhost:8000). Av dev AelToupynoel, TOTE OVTWG UTAPXEL

PSRANua, aAAd amnd Tig SOKLUEG TIou €kava paiveTal va nailet...

BTW, 1o (810 mpdPAnua to eixe 8t 0 cven tnv nponyoupevn Tetdptn(?) Kat To "AUcape” Onwg neptypdepw.

#3 - 06/14/2011 11:08 am - Christos Psaltis

JuvavTtw Kat yw To (8o mpdRAnua rou avagepet o BayygAng. Qotdoo atny neplrtwon You dev €ylve T{noTa Ye To restart tou server. Aoki{paca va

PTIdEW TO cookie pdvog pou pe to firecookie aAAd kat TidAL Oe pe kdvel noTe redirect kat ouvexilw va naipvw 302.

YTdpxeL KAToLo VEWTEPOD;

#4 - 06/14/2011 12:52 pm - Christos Psaltis
http://localhost:8000?test
http://localhost:8000

Edw katdpepa va to Eemepdow TeEAKA pTLdyvovTag To Stk6 You cookie, yta Adyoug mAnPdTNTag CUPNMANPWVW Ti €kava.

‘EpTia&a cookie pe to https://addons.mozilla.org/en-US/firefox/addon/cookies-manager-plus/. NapdAo mou €kava tnyv (dla dladikacia Kat e To

firecookie, dev doUAeye.

To cookie €xel Ta €€ oTowxela:

Name: X-Auth-Token

Content: 46e427d657b20defe352804f0eb6f8a2
Host: 127.0.0.1

Path: /

Expires: Date, december 2011

1n ouveEyela €kava migrate db To omolo Spwg pou XTUMNOoE:

/bin/python manage.py migrate db

Running migrations for db:
| Migration db:0005_auto__chg_field_network_owner should not have been applied before
db:0005_auto__chg_field_image_format__chg_field_image_backend_id but was.
I Migration db:0005_auto__chg_field_network_owner should not have been applied before
db:0005_auto__chg_field_image_format__chg_field_image_backend_id but was.
| Migration db:0004_auto__add_networkinterface should not have been applied before db:0004_auto__add_invitations but was.
| Migration db:0004_auto__add_networkinterface should not have been applied before db:0004_auto__add_invitations but was.
Traceback (most recent call last):
File "manage.py", line 11, in <module>
execute_manager(settings)
File "/home/three/dev/edet/lib/python2.6/site-packages/django/core/management/__init__.py", line 438, in execute_manager
utility.execute()
File "/home/three/dev/edet/lib/python2.6/site-packages/django/core/management/__init__.py", line 379, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File "/home/three/dev/edet/lib/python2.6/site-packages/django/core/management/base.py”, line 191, in run_from_argv
self.execute(*args, **options.__dict_)
File "/home/three/dev/edet/lib/python2.6/site-packages/django/core/management/base.py”, line 220, in execute
output = self.handle(*args, **options)
File "/home/three/dev/edet/lib/python2.6/site-packages/south/management/commands/migrate.py", line 109, in handle
ignore_ghosts = ignore_ghosts,
File "/home/three/dev/edet/lib/python2.6/site-packages/south/migration/__init__.py", line 196, in migrate_app
raise exceptions.InconsistentMigrationHistory(problems)
south.exceptions.InconsistentMigrationHistory: Inconsistent migration history
The following options are available:

--merge: will just attempt the migration ignoring any potential dependency conflicts.

Na Tov Adyo autd €oPnoa t Bdon kat Tnv EavasgpTia&a and Ty apxr. Twpa 6Aa Asttoupyouv oK.

#5 - 06/14/2011 03:22 pm - Vangelis Koukis

Christos Psaltis wrote:
https://addons.mozilla.org/en-US/firefox/addon/cookies-manager-plus/

Edw katdeepa va 1o Esnepdow TeAika pridyvovtag 1o OLkO [ouU cookie, yta AGyouG mAnpotnTag ouunAnpwvw Ti Ekava.

Mo, dev pou eival EekdBapo dTL uTdpXEL TIPAYHATLKS TIPSBANUA.
Kdvape orjpepa doKIUEG, dev propeaape va to replicate.
H dadwkaoia eival n €€ng:
a) &eklvdg pe Tov browser xwpig kaveva cookie oTo jar Tou
B) nyaivelg oto http:/host:port/?test, o€ kdvel redirect ato login.okeanos.grnet.gr, oTo ormoio dev pnopel va ndet MoTe

napdAa autd, oe autd To onuelo €xelg To anattodpevo token, anobnkeupgvo oe cookie aTo jar
Y) evw €xeL koAAroeL ylat{ dev propel va BydAet Tnv 086vn login Tou shibboleth, mmyaivelg pe to x€pt oo http:/host:port

0TO oTo(o uraivelg kavovikd, ylaTi €XeLg To owoTo token.

Ta napandvw douledouyv 1 OxL;

E@miaéa cookie ue to https.//addons.mozilla.org/en-US/firefox/addon/cookies-manager-plus/. [TapdAo riou €kava tnv ida dtadikaoia kat e To

firecookie, dev doUAswe.

10 cookie £xet Ta €£NG oTolxeia:

[]

vopilw autd dev xpeldletat va yivel.

21N ouveéxeta ekava migrate db To onoio Suwg pou XTUnnoe:

[]

AuTé XTUMNoe yla To AGyo Tou EAeya oTo apXLko PMENA yla yetdBaon otn v0.4.

Elxape migrations amnd moAAd branches. Mwa mpwtn AUon ivat va kdvelg migrate --merge, ondte otapatd va yKpviddel anod tn ostpd.

MapdAa autd, To {fiTnua Tng oeLplonoinong Twv migrations ugiotarat, kat €xel avoryTel wg ticket (#503) yla va to doupe emoTayeva.

la tov Adyo auté €oBnoa tn fdon kat tnv Eavagptiaéa amd tnv apxn. Twpa 6Aa Asitoupyoulv oK.

#6 - 06/14/2011 03:45 pm - Christos Psaltis

Vangelis Koukis wrote:

H dwadikaoia givat n €€ng:

a) Eekivdg ue Tov browser xwpiG kaveva cookie oTo jar Ttou

B) nnyaiveig oto http.//host:port/?test, oe kdvet redirect oto login.okeanos.grnet.gr, oto ornoio dev uropel va ndet mote
rnapoAa autad, o€ auto To onuEelo EXELG To anatToduevo token, aroBnkeuugvo os cookie oo jar

y) evw €xet koAAnoet yiati dev unopel va BydAet tnv 08ovn login tou shibboleth, mnyaivelg ue to xEpt oto http.//host:port

OTO oroio Urnaivelg kavovikd, ylati EXELG To owoTo token.

Ta mapandvw douAgudouv 1 Oxt;
http://host:port/?test
http://host:port
https://addons.mozilla.org/en-US/firefox/addon/cookies-manager-plus/
http://host:port/?test
http://host:port

Ta napandvw dev doulelouv oe kavevav browser mou dokudoape. Aev EEpw TWG Uropw va fonbricw ato debugging autou, koita Tl cupPaivel:

‘Otav ndw oo http://host:port/?test o django server oe autriv TN GAcn Pou A€eL:
[14/Jun/2011 12:34:25] "GET /?test HTTP/1.1" 302 0

Apou nidpw timeout 1§ kdroLo avtioToLyo error, EAEyXw Ta cookies kat dev £xw Tidpet Tinota. Ot browsers evvoeital dtL elval pubulopgvol va raipvouv

6Aa ta coookies.

Edv ndw oTo http://host:port/ téte 0 dinago server pou Aget:
[14/Jun/2011 12:34:25] "GET /HTTP/1.1" 302 0

#7 - 06/14/2011 03:56 pm - Giorgos Gousios

AokidoTte va B€oete To Tiedio BYPASS_AUTHENTICATION og true oto settings.py

#8 - 06/16/2011 11:27 am - Christos Psaltis

Me auTtd Tou Tipotelvelg AUBnke TpocwpeLvd To BEua.

To apxké nmpdPAnua cupBaivel kKat oe oag oe Torko installation; Edv 6xt, propoupe kdnwg va Bonbricoupe oto debugging;

#9 - 06/16/2011 12:31 pm - Giorgos Gousios

Me auto rmou nipoteivelg AUBnke rpoowptvd to Bua.

T evvoelg mpoowptvd? To BYPASS_AUTHENTICATION elval ekel yia va pnv emTpeneTal va nepvel kanotog test tokens oto kavovike install. Av eivat

false elvat Aoytké va pnv doulelel.

To apxiko mpoBAnua ouuBaivel kat oe oag o€ TorKo installation; EQv oxt, urmopouue kanwg va Bonbricouus oto debugging;

Aev elvat akplBwg pdéPAnua. Amid o host mpog Tov orolo dixvouv Tta redirects eival kdtw, Ta undAotna doulelouv Onwg TepLlEypaye o B.

#10 - 06/29/2011 06:46 pm - Vangelis Koukis
- Status changed from Assigned to Closed

Auté ritav ydAAov apavonon Tou TpoTou Aettoupylag, To KAelvw.
http://host:port/?test
http://host:port/

